Bug 11524 - Using external browser (windows) cause deadlock of IDE.
Using external browser (windows) cause deadlock of IDE.
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Extbrowser
3.x
PC Windows ME/2000
: P1 (vote)
: 3.x
Assigned To: _ rkubacki
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 15:55 UTC by Marek Fukala
Modified: 2001-07-20 20:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
The IDE thread dump. (18.11 KB, text/plain)
2001-04-18 15:56 UTC, Marek Fukala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2001-04-18 15:55:14 UTC
[010417_CE]
How to reproduce:
1) take a JSP page
2) set external browser (windows) as JSP browser
3) execute the JSP page

Ide freezes in more than 50% of cases.
Thread dump is attached.
Comment 1 Marek Fukala 2001-04-18 15:56:13 UTC
Created attachment 1149 [details]
The IDE thread dump.
Comment 2 Petr Jiricka 2001-04-20 09:57:57 UTC
This appears in 3.2, not only Dev !
Comment 3 _ rkubacki 2001-04-25 09:45:23 UTC
fixed in trunk and NB3.2 by separating code into its own thread so that native
code is no longer invoked from AWTThread.
Comment 4 Jan Chalupa 2001-05-05 22:14:22 UTC
Target milestone -> 3.2
Comment 5 Jason Rush 2001-06-14 02:19:23 UTC
Verified on 6/13/01.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo